// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package algo;

import java.util.Enumeration;
import java.util.Vector;

import model.Haltestelle;
import model.IFahrt;
import model.Linie;
import model.RoutenAbschnitt;

public class DataWrapperNormal implements IDataWrapper {

	public Haltestelle getNextHaltestelle(IFahrt aufFahrt, Haltestelle haltestelle) {
		return aufFahrt.getNextHaltestelle(haltestelle);
	}

	public int getTimeAtNextHaltestelle(IFahrt fahrt, Haltestelle aktHaltestelle, int zeit, Linie linie) {
		return fahrt.getTimeAtNextHaltestelle(aktHaltestelle, zeit, linie);
	}

	public boolean isSmallerThan(int newDistance, int oldDistance) {
		return newDistance < oldDistance;
	}
	
	public boolean isGreaterThan(int newDistance, int oldDistance) {
		return newDistance > oldDistance;
	}

	public boolean isEqualOrGreaterThan(int newDistance, int oldDistance) {
		return newDistance > oldDistance || newDistance == oldDistance;
	}

	public boolean isEqualOrSmallerThan(int newDistance, int oldDistance) {
		return newDistance < oldDistance || newDistance == oldDistance;
	}
	
	public int addTime(int time, int add) {
		return time + add;
	}

	public RoutenAbschnitt[] buildRoutenAbschnittArray(Vector routenAbschnitte) {
		// Reihenfolge wird umgedreht
		RoutenAbschnitt[] routenAbschnitteAsArray = new RoutenAbschnitt[routenAbschnitte.size()];
		int i = routenAbschnitte.size() - 1;
		for (Enumeration e = routenAbschnitte.elements(); e.hasMoreElements();) {
			routenAbschnitteAsArray[i] = (RoutenAbschnitt) e.nextElement();
			i--;
		}
		return routenAbschnitteAsArray;
	}

	public int unendlichSpaet() {
		return Integer.MAX_VALUE;
	}
}
