// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package control;

import gui.BgStartScreen;
import gui.Manager;
import gui.guis.GuiSelectionHome;
import data.Data;
import dev.bootProfiler.BootProfiler;
import dev.bootProfiler.ZeitMessung;

public class Init extends Thread {

	public void run() {
		Manager manager = PushandrideMidlet.getManager();

		ZeitMessung profil_initByThread = ZeitMessung.getStartedInstance("Init | initByThread");
		manager.initByThread();
		profil_initByThread.stop();

		BootProfiler.addLeerzeile();
		ZeitMessung profil_loadDataStageFinal = ZeitMessung.getStartedInstance("Init | Lade Datensatz - final");
		Data.loadDataStageFinal();
		profil_loadDataStageFinal.stop();
		BootProfiler.addLeerzeile();

		// Hintergrundthread starten der die Fahrzeiten für die Favoriten berechnet
		BgStartScreen bgThread = new BgStartScreen(
			(GuiSelectionHome) Manager.guis[Manager.STATE_HOME]);
		((GuiSelectionHome) Manager.guis[Manager.STATE_HOME]).setBgThread(bgThread);
		bgThread.setPriority(Thread.MIN_PRIORITY);
		bgThread.start();

		BootProfiler.setStopTime();
	}
}
