// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package control.connections.internet;

import gui.guis.GuiNewDataset;

import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Hashtable;

import javax.microedition.io.Connection;
import javax.microedition.io.Connector;
import javax.microedition.io.HttpConnection;

import utils.StringUtils;
import data.persistence.RemoteDataBinary;
import dev.Logger;

public class NetConnection {

	public static Hashtable sendRequest(String url) {

		Connection c;
		HttpConnection hc;
		Hashtable result = new Hashtable();

		try {
			c = Connector.open(url, Connector.READ_WRITE, true);
			hc = (HttpConnection) c;

			String rawdata = "";

			// HEADER
			hc.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			hc.setRequestProperty("Content-Length", String.valueOf(rawdata.length()));

			// SEND
			OutputStream out = hc.openOutputStream();
			out.write(rawdata.getBytes());

			DataInputStream dis = new DataInputStream(hc.openInputStream());

			// retrieve the response from server
			StringBuffer responseMessage = new StringBuffer();
			int ch;
			while ((ch = dis.read()) != -1) {
				responseMessage.append((char) ch);
			}//end while( ( ch = dis.read() ) != -1 ) {

			String[] tokens = StringUtils.split(responseMessage.toString(), "&");
			for (int i = 0; i < tokens.length; i++) {
				String[] keyValuePair = StringUtils.split(tokens[i], "=");
				if (keyValuePair.length != 2) {
					Logger.error(NetConnection.class, "error parsing Key-Value-Pair");
					return new Hashtable();
				}
				result.put(keyValuePair[0], keyValuePair[1]);
			}

			if (hc.getResponseCode() != HttpConnection.HTTP_OK)
				throw new IOException("Error-ResponseCode");
			hc.close();
			hc = null;
			c.close();
			c = null;
		} catch (Exception e) {
			Logger.errorException(NetConnection.class, e, "Xjk90");
		}
		return result;
	}

	public static byte[] downloadBinary(String url, GuiNewDataset updateGui, RemoteDataBinary parent) {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();

		InputStream is = null;
		HttpConnection c = null;
		try {
			c = (HttpConnection) Connector.open(url);
			is = c.openInputStream();

			int cnt = 0;
			int ch;
			while ((ch = is.read()) != -1) {
				baos.write((char) ch);
				cnt++;
				if (parent.canceled) {
					return new byte[0];
				}
				if (cnt % 1024 == 0) {
					updateGui.updateDownload(cnt);
				}
			}
			is.close();
			is = null;
			updateGui.updateDownload(cnt);

			return baos.toByteArray();
		} catch (Exception e) {
			Logger.errorException(NetConnection.class, e, "ac8b2n");
		}
		return new byte[0];
	}
}
