// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package control.connections.sms;

import javax.microedition.io.Connector;
import javax.wireless.messaging.MessageConnection;
import javax.wireless.messaging.TextMessage;

import dev.Logger;

public class SMS {

	/**
	 * Sends the message based on given phone number
	 * 
	 * @param telefonNumber -
	 *            Nummer (Laendercode muss beruecksichtigt werden!)
	 * @param message -
	 *            Inhalt der SMS
	 * @return erfolgsstatus
	 */
	public static boolean sendSMS(String telefonNumber, String message) {
		try {
			String addr = "sms://" + telefonNumber;
			MessageConnection con = (MessageConnection) Connector.open(addr);
			TextMessage msg = (TextMessage) con.newMessage(MessageConnection.TEXT_MESSAGE);
			msg.setPayloadText(message);
			con.send(msg);
			con.close();
			return true;
		} catch (Exception e) {
			Logger.errorException(SMS.class, e, "asdSSA");
		}
		return false;
	}
}
