// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package data.persistence.serialization;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;

import dev.Logger;

public class Serialization_String {

	/**
	 * @param String
	 *            to serialize
	 * @return
	 */
	public static byte[] serialize(String data) {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		DataOutputStream outputStream = new DataOutputStream(baos);
		if (data == null || data.length() == 0) {
			return new byte[0];
		}
		try {
			outputStream.writeUTF(data);
			return baos.toByteArray();
		} catch (Exception e) {
			Logger.fatalException(Serialization_String.class, e, "sss87j");
			return new byte[0];
		}
	}

	/**
	 * 
	 * @param String
	 *            serialization byte[]
	 * @return String[] if deserialization fails.
	 */
	public static String deserialize(byte[] data) {
		if (data == null || data.length == 0) {
			return "";
		}
		ByteArrayInputStream bais = new ByteArrayInputStream(data);
		DataInputStream inputStream = new DataInputStream(bais);
		try {
			String out = inputStream.readUTF();
			if (out != null) {
				return out;
			}
		} catch (Exception e) {
			Logger.fatalException(Serialization_String.class, e, "sxsa87j");
			return "";
		}
		return "";
	}
}
