// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package data.persistence.serialization;

import utils.StringUtils;
import dev.Logger;

public class Serialization_StringArray {

	// FIXME: Trennzeichen nicht unbedingt nötig - Strings können nacheinander per write/readUTF gespeichert/relesen werden
	public static String TRENNZEICHEN = "|";

	public static byte[] serialize(String[] data) {
		if (data == null || data.length == 0) {
			return new byte[0];
		}
		try {
			String collapsedString = StringUtils.arrayToString(data, TRENNZEICHEN);
			if(collapsedString != null) {
				return Serialization_String.serialize(collapsedString);
			} else {
				return new byte[0];
			}
		} catch (Exception e) {
			Logger.fatalException(Serialization_StringArray.class, e, "akljsxnm");
			return new byte[0];
		}
	}

	/**
	 * @return String[0] if deserialization fails.
	 */
	public static String[] deserialize(byte[] data) {
		if (data == null || data.length == 0) {
			return new String[0];
		}
		try {
			String collapsedString = Serialization_String.deserialize(data);
			return StringUtils.split(collapsedString, TRENNZEICHEN);
		} catch (Exception e) {
			Logger.fatalException(Serialization_StringArray.class, e, "Sxas87");
			return new String[0];
		}
	}
}
