// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package dev.bootProfiler;

import java.util.Vector;

import control.Pushandride;

public class BootProfiler {

	private static long stopTime = -1;

	private static Vector messungen = new Vector();
	
	private static final ZeitMessung leerZeile = ZeitMessung.getInstance("leerZeile");

	static void registerZeitmessung(ZeitMessung zeitMessung) {
		messungen.addElement(zeitMessung);
	}

	public static void addLeerzeile() {
		messungen.addElement(leerZeile);
	}

	public static String getProfilerString() {
		String out = "";
		long timeGesamt = 0;
		for (int i = 0; i < messungen.size(); i++) {
			ZeitMessung zm = (ZeitMessung) messungen.elementAt(i);
			if (zm != leerZeile) {
				out += zm.getDescription() + " => " + zm.getDuration() + " ms"
						+ getProzent(getStartDuration(), zm.getDuration()) + "\n";
				timeGesamt += zm.getDuration();
			} else
				out += "\n";
		}
		out += "\nGesamtZeit: " + timeGesamt;
		return out;
	}

	synchronized public static long getCurrentDuration() {
		return System.currentTimeMillis() - Pushandride.getStartupTime();
	}

	public static long getStartDuration() {
		return stopTime - Pushandride.getStartupTime();
	}

	public static void setStopTime() {
		BootProfiler.stopTime = System.currentTimeMillis();
	}

	private static String getProzent(long gesamt, long teilZeit) {
		int prozent = (int) ((teilZeit / (double) gesamt) * 100.0);
		return " | " + prozent + " %";
	}
}
