// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui;

import javax.microedition.lcdui.Image;

import control.PushandrideMidlet;

public abstract class Fader {
	private static Image bufferTo;
	private static Image bufferFrom;

	/**
	 * initialisiert die Bildpuffer
	 */
	public static void init() {
		try {
			if (bufferTo == null) {
//				System.out.println("######################### here");
				bufferTo = Image.createImage(Manager.SCREEN_WIDTH, Manager.SCREEN_HEIGHT);
				bufferFrom = Image.createImage(Manager.SCREEN_WIDTH, Manager.SCREEN_HEIGHT);
			}
		} catch (OutOfMemoryError oom) {
			PushandrideMidlet.OutOfMemoryException(Fader.class, oom, "adsxc82");
		}
	}
	
	public static Image getBufferFrom() {
		if (bufferFrom == null) {
			init();
		}
		return bufferFrom;
	}

	public static Image getBufferTo() {
		if (bufferTo == null) {
			init();
		}
		return bufferTo;
	}
	
}
