// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.guis;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.game.GameCanvas;

import model.AbstractLocation;
import model.Haltestelle;
import model.Ort;
import data.Data;

public class GuiSelectionLocationOrte extends GuiSelectionLocation {

	public GuiSelectionLocationOrte(int typ, GameCanvas gc, Graphics g) {
		super(typ, gc, g);

		Ort orte[] = Data.getAlleOrte();
		AbstractLocation locations[] = new AbstractLocation[orte.length];

		System.arraycopy(orte, 0, locations, 0, orte.length);

		setInitItems(locations);
	}

	/**
	 * Überprüft, ob die aktuelle Auswahl eine gespeicherte Halstelle ist, oder falls es ein Ort
	 * ist, ob es dort nur eine Haltestelle gibt. Falls ja, wird in der nachfolgenden Gui das
	 * Element gesetzt und ausgwählt.
	 */
	public boolean skipHaltestelleScreen() {
		AbstractLocation selected;
		selected = getSelected();
		Haltestelle haltestelle = null;
		boolean skip = false;
		if (selected instanceof Haltestelle) {
			haltestelle = (Haltestelle) selected;
			skip = true;
		} else {
			Ort ort;
			ort = (Ort) selected;
			if (ort.getAlleHaltestellen().size() == 1) {
				haltestelle = (Haltestelle) ort.getAlleHaltestellen().elementAt(0);
				skip = true;
			} else {
				skip = false;
			}
		}
		if (skip) {
			AbstractLocation location[] = { (AbstractLocation) haltestelle };
			((GuiSelectionLocationHaltestellen) allGuis[getGuiType() + 1]).setInitItems(location);
			((GuiSelectionLocationHaltestellen) allGuis[getGuiType() + 1]).setAllItems(WITH_RESET);
		}
		return skip;
	}

	/**
	 * zeichnet die komplette Gui neu
	 */
	public void drawTo(Graphics g) {
		if (!hasValidData()) {
			updateAdditionalItems();
			resetStoredData();
			setAllItems(WITH_RESET);
		}
		super.drawTo(g);
	}

}
