// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.guis;

import gui.launch.GameCanvasInstance;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

import control.Pushandride;
import control.PushandrideMidlet;
import control.locale.Locale;

public class GuiTurnedTxt extends Form implements CommandListener {
	static final Command backCommand = new Command("Zurück",  Command.BACK, 0);
	static final Command exitCommand = new Command("Beenden", Command.EXIT, 0);

	private Display display;
	private Displayable last;

	private final int initWidth;
	
	public GuiTurnedTxt() {
		super("Achtung");
		display = Display.getDisplay(Pushandride.getMidlet());
		last = display.getCurrent();
		this.append(Locale.HinweisBildschirmDrehen);
		this.setCommandListener(this);
		this.addCommand(exitCommand);
		display.setCurrent(this);
		initWidth = this.getWidth();
	}

	public void commandAction(Command c, Displayable d) {
		if (c == exitCommand) {
			Pushandride.getMidlet().exitProgramm();
		} 
		if (c == backCommand) {
			back();
		} 
	}

	private void back() {
		display.setCurrent(last);
		GameCanvasInstance.getInstance().setFullScreenMode(true);
		PushandrideMidlet.getManager().repaintAll();
	}
	
	protected void sizeChanged(int width, int height) {
		if (width != initWidth) {
			back();
		}
	}
}
