// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.FontMetrics;
import gui.Manager;
import gui.guis.Gui;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

public class ItemAboutPushandride extends Item {

	private final int height;

	public ItemAboutPushandride() {
		setSelectable(false);
		height = getDefaultFont().getHeight();
	}
	
	protected static Font getDefaultFont() {
		return FontMetrics.getFont(Manager.ITEMS_FONT_SIZE);
	}
	
	protected static Font getItalicFont() {
		return FontMetrics.getFont(Font.STYLE_ITALIC, Manager.ITEMS_FONT_SIZE);
	}
	
	protected static Font getBoldFont() {
		return FontMetrics.getFont(Font.STYLE_BOLD, Manager.ITEMS_FONT_SIZE);
	}
	
	public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo) {
		Font f;
		x = Manager.MAIN_LEFT_SPACE;
		f = getBoldFont();
		g.setFont(f);
		
		g.setColor(Manager.ITEMS_COLOR_FONT);
		String text = "push&ride ";
		GfxUtils.drawText(g, text, x, y);
		x += f.stringWidth(text);

		f = getDefaultFont();
		g.setFont(f);
		text = "Stuttgart";
		GfxUtils.drawText(g, text, x, y);

		return height;
	}

	public int getHeight() {
		return height;
	}

}
