// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Color;
import gui.FontMetrics;
import gui.Manager;
import gui.guis.Gui;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;


abstract public class ItemDetailAbstractLaufwegWartezeit extends ItemDetail {

	public int getHeight() {
		int textHeight = FontMetrics.getHeight(Manager.ITEMS_FONT_SIZE);
		return textHeight + 2 * innerSpace;
	}
	
	abstract String getText();
	abstract int getZeit();

	public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo) {

		int fontSize = Manager.ITEMS_FONT_SIZE;

		Font f = Font.getFont(Font.FACE_SYSTEM, Font.STYLE_PLAIN, fontSize);
		Font fb = Font.getFont(Font.FACE_SYSTEM, Font.STYLE_BOLD, fontSize);

		int totalHeight = getHeight();

		int COLOR_FONT = Color.gray2color(50);
		g.setColor(COLOR_FONT);

		// linke Linie
		int line_x_pos = ItemDetailHaltestellenPaar.get_center_xPos();

		g.drawLine(line_x_pos, y, line_x_pos, y + totalHeight - 1);

		// Text
		g.setFont(f);
		String text = getText();

		GfxUtils.drawText(g, " " + text, Manager.SCREEN_WIDTH - 1, y + innerSpace, Graphics.TOP | Graphics.RIGHT);
		g.setFont(fb);
		int textwidth = f.stringWidth(" " + text);
		
		int umsteigeZeit = getZeit();
		GfxUtils.drawText(g, umsteigeZeit + "'", Manager.SCREEN_WIDTH - textwidth - 1, y + innerSpace, Graphics.TOP | Graphics.RIGHT);

		return totalHeight;
	}

}
