// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.FontMetrics;

import gui.Manager;
import gui.guis.Gui;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

import control.Global;

public class ItemDetailModifiedWalkingSpeed extends ItemDetail {
	
	private final String lines[];
	private final Font font;

	public ItemDetailModifiedWalkingSpeed() {
		font = FontMetrics.getFont(Manager.ITEMS_FONT_SIZE);

		String s = Global.getLaufzeitFaktor() + "";
		if (s.length() == 1) {
			s = "0." + s;
		} else {
			s = s.charAt(0) + "." + s.charAt(1);
		}
		
		String text[] = {"° alle Laufzeiten wurden mit " + s + " multipliziert! \nDies kann in den Einstellungen verändert werden."};
		
		int maxWidth = GfxUtils.scale(Manager.SCREEN_WIDTH, 90);
		
		lines = GfxUtils.splitupInLines(font, text, maxWidth);
	}

	public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo) {
		g.setFont(font);
		g.setColor(Manager.ITEMS_COLOR_FONT);
		for (int i = 0; i < lines.length; i++) {
			g.drawString(lines[i], Manager.SCREEN_WIDTH - Manager.MAIN_LEFT_SPACE, y + Manager.MAIN_INNER_SPACE + i * font.getHeight(), Graphics.RIGHT | Graphics.TOP);
		}
		return getHeight();
	}

	public int getHeight() {
		return lines.length * font.getHeight() + Manager.MAIN_INNER_SPACE;
	}

}
