// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Imager;

import javax.microedition.lcdui.Image;

import dev.Logger;

public class ItemHomeExecute extends ItemHome {
	public static final int HOME_ITEM_NEW = 1;
	public static final int HOME_ITEM_OPTIONS = 2;
	public static final int HOME_ITEM_EXIT = 3;
	public static final int HOME_ITEM_WEITERGEBEN = 4;
	public static final int HOME_ITEM_DATASET = 5;

	private final int type;
	
	private static String getCaption(int itemType) {
		switch (itemType) {
		case HOME_ITEM_NEW:
			return "Neue Route";
		case HOME_ITEM_OPTIONS:
			return "Einstellungen";
		case HOME_ITEM_EXIT:
			return "Beenden";
		case HOME_ITEM_WEITERGEBEN:
			return "push&ride weitergeben";
		case HOME_ITEM_DATASET:
			return "Busse hinzufügen";
		default:
			Logger.error(ItemHomeExecute.class, "Caption für " + itemType + " nicht vorhanden");
			return "undef error";
		}
	}

	private static Image getIcon(int itemType, boolean selected, boolean dark) {
		switch (itemType) {
		case HOME_ITEM_NEW:
			return Imager.getIcon(Imager.ICON_NEXT, selected, dark);
		case HOME_ITEM_OPTIONS:
			return Imager.getIcon(Imager.ICON_EINSTELLUNGEN, selected, dark);
		case HOME_ITEM_EXIT:
			return Imager.getIcon(Imager.ICON_X, selected, dark);
		case HOME_ITEM_WEITERGEBEN:
			return Imager.getIcon(Imager.ICON_BLUETOOTH, selected, dark);
		case HOME_ITEM_DATASET:
			return Imager.getIcon(Imager.ICON_EINSTELLUNGEN, selected, dark);
		default:
			Logger.error(ItemHomeExecute.class, "Icon für " + itemType + " nicht vorhanden");
			return null;
		}
	}
	
	private static Image getIcon(int itemType, boolean selected) {
		return getIcon(itemType, selected, false);
	}

	public ItemHomeExecute(int itemType) {
		super(getCaption(itemType));
		setIcons(getIcon(itemType, false), getIcon(itemType, true), getIcon(itemType, false, true));
		type = itemType;
	}

	public int getType() {
		return type;
	}
}
