// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.FontMetrics;
import gui.Manager;
import gui.utils.GfxStringUtils;
import gui.utils.GfxUtils;
import model.Haltestelle;

/**
 * Item für gespeicherte Haltestellen
 */
public class ItemLocationLastUsed extends ItemLocation {
	Haltestelle haltestelle;

	public ItemLocationLastUsed(Haltestelle haltestelle) {
		super(haltestelle, null);
		this.haltestelle = haltestelle;
	}

	protected String getText() {
		return GfxStringUtils.getAdjustedLocation(FontMetrics.getFont(Manager.ITEMS_FONT_SIZE), haltestelle, getFreeTextWidthOfLastUsed());
	}

	protected int getUnselectedBgColor(int itemNo) {
		return GfxUtils.getBackgroundColorByPosWithDarkBg(itemNo);
	}

	public boolean equals(Object obj) {
		if (obj instanceof ItemLocationLastUsed) {
			return haltestelle.equals(((ItemLocationLastUsed) obj).getLocation());
		}
		if (obj instanceof Haltestelle) {
			return haltestelle.equals((Haltestelle) obj);
		}
		return super.equals(obj);
	}
}
