// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Manager;
import gui.guis.Gui;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;


abstract public class ItemOption extends Item {
	public static final int SPACE_Y = Manager.MAIN_INNER_SPACE / 2;
	public static final int OPTION_ITEM_FONT_STYLE = Font.STYLE_BOLD;
	public static final int OPTION_ITEM_FONT_SIZE = Manager.ITEMS_FONT_SIZE;

	private final int id;

	public ItemOption(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	// halber Abstand zwischen zwei Elementen
	protected int getYSpace() {
		return SPACE_Y;
	}

	abstract public int draw(Gui parent, Graphics g, int x, int y, boolean selected, int itemNo);

	abstract public int getHeight();

	public boolean handleKey(int keyCode) {
		return false;
	}

}
