// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.guis.GuiSelectionUebersicht;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Graphics;

import model.Route;

public class ItemUebersichtLaufweg extends ItemUebersicht {

	public ItemUebersichtLaufweg(Route finalRoute, GuiSelectionUebersicht parent) {
		super(finalRoute, parent);
		// TODO Auto-generated constructor stub
	}

	/**
	 * zeichnet die vertikalen Linien für die Tabelle
	 */
	protected void drawLines(Graphics g, int y) {
		g.setStrokeStyle(Graphics.DOTTED);
		for (int i = 1; i < 4; i++) {
			if (i < 3) {
				continue;
			}
			int linePos = GuiSelectionUebersicht.getPosLines(i);
			g.drawLine(linePos, y, linePos, y + getHeight());
		}
		g.setStrokeStyle(Graphics.SOLID);
	}

	/**
	 * zeichnet den Text in die Tabelle
	 */
	protected void drawText(Graphics g, int y) {
		Route finalRoute = getFinalRoute();
		int fahrDauer = finalRoute.getAnkunftszeit() - finalRoute.getAbfahrtszeit();
		String text = "reiner Fußweg";
		int swidth = g.getFont().stringWidth(text);
		int dx = (GuiSelectionUebersicht.getPosLines(3) - GuiSelectionUebersicht.getPosLines(0) - swidth) / 2;
		if (dx < 0) {
			dx = 0;
		}
		GfxUtils.drawText(g, text, GuiSelectionUebersicht.getPosLines(0) + dx, y, Graphics.LEFT | Graphics.TOP);
		GfxUtils.drawText(g, fahrDauer + "'", GuiSelectionUebersicht.getPosItems(3), y, Graphics.RIGHT | Graphics.TOP);
	}

}
