// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Manager;
import gui.guis.GuiSelectionUebersicht;
import gui.utils.GfxUtils;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;


public class ItemUebersichtRechne extends ItemUebersicht {

	public ItemUebersichtRechne(GuiSelectionUebersicht parent) {
		super(model.Route.NULL, parent);
		setSelectable(true);
	}

	protected void drawText(Graphics g, int y) {
		g.setColor(Manager.ITEMS_COLOR_BACKGROUND_DISABLED);

		Font f = g.getFont();

		String space = ".....";

		int width = f.stringWidth(space);

		int posx = GuiSelectionUebersicht.getPosLines(0) + (GuiSelectionUebersicht.getPosLines(1) - GuiSelectionUebersicht.getPosLines(0) - width) / 2;
		GfxUtils.drawText(g, ".....", posx, y);

		posx = GuiSelectionUebersicht.getPosLines(1) + (GuiSelectionUebersicht.getPosLines(2) - GuiSelectionUebersicht.getPosLines(1) - width) / 2;
		GfxUtils.drawText(g, ".....", posx, y);

		space = ".";
		width = f.stringWidth(space);

		posx = GuiSelectionUebersicht.getPosLines(2) + (GuiSelectionUebersicht.getPosLines(3) - GuiSelectionUebersicht.getPosLines(2) - width) / 2;
		GfxUtils.drawText(g, space, posx, y);

		space = "...";
		width = f.stringWidth(space);

		posx = GuiSelectionUebersicht.getPosLines(3) + (GuiSelectionUebersicht.getPosLines(4) - GuiSelectionUebersicht.getPosLines(3) - width) / 2;
		GfxUtils.drawText(g, "...", posx, y);
	}

}
