// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.items;

import gui.Imager;

import javax.microedition.lcdui.Image;

import dev.Logger;

public class ItemWeitergebenExecute extends ItemMultiline {

	public static final int WEITERGEBEN_ITEM_SEND_VIA_BLUETOOTH = 1;
	public static final int WEITERGEBEN_ITEM_SEND_VIA_SMS = 2;

	private final int type;
	
	private static String getCaption(int itemType) {
		switch (itemType) {
		case WEITERGEBEN_ITEM_SEND_VIA_BLUETOOTH:
			return "Per Bluetooth weitergeben";
		case WEITERGEBEN_ITEM_SEND_VIA_SMS:
			return "Installationslink per SMS";
		default:
			Logger.error(ItemHomeExecute.class, "Caption für " + itemType + " nicht vorhanden");
			return "undef error";
		}
	}

	private static Image getIcon(int itemType, boolean selected, boolean dark) {
		switch (itemType) {
		case WEITERGEBEN_ITEM_SEND_VIA_BLUETOOTH:
			return Imager.getIcon(Imager.ICON_BLUETOOTH, selected, dark);
		case WEITERGEBEN_ITEM_SEND_VIA_SMS:
			return null;
		default:
			Logger.error(ItemHomeExecute.class, "Icon für " + itemType + " nicht vorhanden");
			return null;
		}
	}
	
	private static Image getIcon(int itemType, boolean selected) {
		return getIcon(itemType, selected, false);
	}

	public ItemWeitergebenExecute(int itemType) {
		super(getCaption(itemType), true);
		setIcons(getIcon(itemType, false), getIcon(itemType, true), getIcon(itemType, false, true));
		type = itemType;
	}

	public int getType() {
		return type;
	}

}
