// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.options;

import gui.utils.AlertMessage;
import gui.utils.PhoneNumberInputGui;

import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.TextField;

import control.Global;
import control.connections.sms.SMS;

public class AdviceFriend extends PhoneNumberInputGui {

	private String inputFieldLabel = "Nachricht (120 Zeichen)";
	private TextField commentInputField = new TextField(inputFieldLabel, null, 120, TextField.ANY);

	private String numberInputFieldLabel = "Handy-Nummer:";
	private String userInfoLabel = "Info:\n";
	private String userInfoMsg = "Den Installationslink von Pushandride an einen Freund per SMS senden";
	private String successMsg = "Vielen Dank das Du push&ride weiterempfohlen haben!";
	private String failureMsg = "Das Verschicken von externen SMS ist auf ihrem Gerät leider nicht möglich.\nWeitere Informationen finden Sie auf www.pushandride.de";

	public AdviceFriend(Displayable last) {
		super(last, "Update-SMS");
		this.setNumberInputFieldLabel(numberInputFieldLabel);
		this.setUserInfo(userInfoLabel, userInfoMsg);
		this.mainForm.append(commentInputField);
	}

	protected void sendSMS() {
		String telephonNumber = numberInputField.getString();
		String comment = commentInputField.getString();
		this.mainForm.deleteAll();
		boolean success = SMS.sendSMS(telephonNumber, comment + " " + Global.PUSHNRIDE_DOWNLOADLINK);
		if (success) {
			new AlertMessage("Update-SMS", successMsg, "Weiter").setVisible(true);
		} else {
			new AlertMessage("Update-SMS", failureMsg, "Weiter").setVisible(true);
		}
	}

}
