// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.options.dev;

import gui.launch.GameCanvasInstance;

import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.game.GameCanvas;

import control.Pushandride;

abstract public class AbstractGfxGui extends GameCanvas {
	protected AbstractGfxGui(boolean suppressKeyEvents) {
		super(suppressKeyEvents);
		Display.getDisplay(Pushandride.getMidlet()).setCurrent(this);
		this.setFullScreenMode(true);
	}

	protected void backToMain() {
		Display.getDisplay(Pushandride.getMidlet()).setCurrent(GameCanvasInstance.getInstance());
		GameCanvasInstance.getInstance().setFullScreenMode(true);
	}
	
	public void paint(Graphics g) {
		if (GameCanvasInstance.requiresFlushGraphics) {
			flushGraphics();
		} else {
			super.paint(g);
		}
	}

}
