// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.options.dev;

import gui.launch.GameCanvasInstance;

import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

import model.DatumZeit;
import control.Pushandride;

public class TestTime implements CommandListener {
	public TestTime () {
		show();
	}

	private void backToMain() {
		Display.getDisplay(Pushandride.getMidlet()).setCurrent(GameCanvasInstance.getInstance());
		GameCanvasInstance.getInstance().setFullScreenMode(true);
	}
	
	static final Command cmdBack = new Command("Back", Command.BACK, 1);

	private void show() {
		Display display = Display.getDisplay(Pushandride.getMidlet());

		Form mainForm = new Form("Debug-Time-Project");

		mainForm.addCommand(cmdBack);
		mainForm.setCommandListener(this);

		Calendar c = Calendar.getInstance();

		c.set(Calendar.MILLISECOND, 0);
		c.set(Calendar.MONTH, 4);
		c.set(Calendar.DAY_OF_MONTH, 16);
		c.set(Calendar.HOUR_OF_DAY, 18);
		c.set(Calendar.MINUTE, 06);
		c.set(Calendar.YEAR, 2008);

		mainForm.append("aktuelle Zeiten\n");
		int zeit = DatumZeit.Now();
		mainForm.append("^ pnr " + DatumZeit.toDateTimeString(zeit) + "\n");
//		mainForm.append("^ Dat " + new Date(DatumZeit.toCalendarTime(zeit)).toString() + "\n");
		mainForm.append("^ Sys " + Calendar.getInstance().getTime().toString() + "\n");
		mainForm.append("\n");
		mainForm.append("Zeittest: 12:01 05.06.\n");
		zeit = DatumZeit.createDatumZeit(2008, 6, 5, 12, 1);
		mainForm.append("^ pnr " + DatumZeit.toDateTimeString(zeit) + "\n");
//		mainForm.append("^ Dat " + new Date(DatumZeit.toCalendarTime(zeit)).toString() + "\n");
		mainForm.append("\n");
		mainForm.append("Zeittest: 00:00 01.01.\n");
		zeit = DatumZeit.createDatumZeit(2008, 1, 1, 0, 0);
		mainForm.append("^ pnr " + DatumZeit.toDateTimeString(zeit) + "\n");
//		mainForm.append("^ Dat " + new Date(DatumZeit.toCalendarTime(zeit)).toString() + "\n");
		mainForm.append("\n");
		mainForm.append("Zeittest: 23:59 01.01.\n");
		zeit = DatumZeit.createDatumZeit(2008, 01, 01, 23, 59);
		mainForm.append("^ pnr " + DatumZeit.toDateTimeString(zeit) + "\n");
//		mainForm.append("^ Dat " + new Date(DatumZeit.toCalendarTime(zeit)).toString() + "\n");
		mainForm.append("\n");

		display.setCurrent(mainForm);
		mainForm.append("Zeit aus Kalender\n");

		Calendar k = Calendar.getInstance();
		Date date = k.getTime();

		mainForm.append(date.toString() + "\n");
		mainForm.append("Timezone\n");
		mainForm.append("^ " + k.getTimeZone().getID() + "\n");

		mainForm.append("defaultTimeZone\n");
		mainForm.append("^ " + TimeZone.getDefault().getID() + "\n");

		mainForm.append("GMT-Offset\n");
		mainForm.append("^ " + k.getTimeZone().getRawOffset() + "\n");
		mainForm.append("^ " + (k.getTimeZone().getRawOffset() / DatumZeit.MIN_IN_MS) + "min\n");

		if (k.getTimeZone().useDaylightTime()) {
			mainForm.append("useDaylightTime == true\n");
		} else {
			mainForm.append("useDaylightTime == false\n");
		}
//		zeit = DatumZeit.createDatumZeit(1, 1, 12, 0);
		System.out.println(DatumZeit.toDateTimeString(zeit));
	}

	public void commandAction(Command c, Displayable d) {
		if (c == cmdBack) {
			backToMain();
			return;
		}
	}
}
