// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package gui.utils;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;

import control.locale.Locale;

public abstract class AlertConfirmAction extends AlertMessage {

	protected static final Command okCommand = new Command("OK", Command.OK, 1);

	public AlertConfirmAction(String title, String messageText) {
		super(title, messageText, Locale.Back);
		this.addCommand(okCommand);
	}

	public void setVisible(boolean b) {
		super.setVisible(b);
		if (b) {
			this.addCommand(okCommand);
		} else {
			this.removeCommand(okCommand);
		}
	}

	public void commandAction(Command c, Displayable d) {
		if (c == command) {
			back();
		} else if (c == okCommand) {
			runConfirmedAction();
		}
	}
	
	protected abstract void runConfirmedAction();
}
