// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package model;


public interface IFahrt {
	public static final IFahrt NULL = null;
	public boolean isLaufweg();
	public Linie getLinie();
	public Haltestelle getNextHaltestelle(Haltestelle haltestelle);
	public Haltestelle getNextHaltestelleReverse(Haltestelle haltestelle);
	public int getTimeToNextHaltestelle(Haltestelle haltestelleVon);
	public int getTimeAtNextHaltestelle(Haltestelle act, int zeit, Linie lastUsedLinie);
	public int getTimeAtNextHaltestelleReverse(Haltestelle act, int zeit, Linie lastUsedLinie);
	public Haltestelle[] getAlleHaltestellen();
	public int getAbfahrtAfterTime(Haltestelle haltestelle, int datumZeit);
	public int getMemory();
	public String getLinienInfo();
}
