// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package model;

import java.util.Vector;

import dev.Memory;

public class Ort extends model.AbstractLocation {

	private final String name;
	private final String kurzName;
	private final Vector haltestellen = new Vector();

	public Ort(String Name, String kurzName) {
		super(AbstractLocation.VERKEHRSMITTEL_KEINE);
		// FIXME hack
		if (Name.equals("Stuttgart")) {
			kurzName = "Stgt";
		}
		this.name = Name;
		this.kurzName = kurzName;
	}

	public Ort(byte verkehrsmittelMask, String Name, String kurzName) {
		super(verkehrsmittelMask);
		// FIXME hack
		if (Name.equals("Stuttgart")) {
			kurzName = "Stgt";
		}
		this.name = Name;
		this.kurzName = kurzName;
	}

	public void addHaltestelle(Haltestelle haltestelle) {
		haltestellen.addElement(haltestelle);
	}

	public Vector getAlleHaltestellen() {
		return haltestellen;
	}

	public String getShortName() {
		return kurzName;
	}

	public String getScreenName() {
		return this.name;
	}

	public int getMemory() {
		int mem = Memory.getObjSize();

		// AbstractLocation
		mem += super.getMemory();

		mem += Memory.getStringBaseSize() + name.length() * Memory.getStringCharakterSize();
		mem += Memory.getStringBaseSize() + kurzName.length() * Memory.getStringCharakterSize();

		mem += Memory.getObjSize() + haltestellen.size() * Memory.getObjSize();

		return mem;
	}

	public String toString() {
		String out = "Ort:" + getScreenName() + "[" + getShortName() + "] (";
		for (int i = 0; i < haltestellen.size(); i++) {
			Haltestelle h = (Haltestelle) this.haltestellen.elementAt(i);
			out += h.toString() + ", ";
		}
		return out + ")";
	}
}
