// This file is part of push&ride.

// Copyright 2006-2011 Tobias Binz, Andreas Moosbrugger, Michael Schlagmüller

// push&ride is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
// The application is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with push&ride.  If not, see <http://www.gnu.org/licenses/>.

package model;

/**
 * Das Objekt RoutenBeschreibung repräsentiert eine gespeicherte, vergangene Abfrage Diese wird
 * definiert aus der gespeicherten Anfragezeit, der Anfangs- und Zielhaltestelle
 * @deprecated Wird anscheinend nicht mehr benötigt.
 */
public class RoutenBeschreibung extends HaltestellenPaar {
	private final int anfrageZeit;
	private final int abfahrtsZeit;

	public RoutenBeschreibung(int anfrageZeit, int abfahrtsZeit, Haltestelle von, Haltestelle nach) {
		super(von, nach);
		this.anfrageZeit = anfrageZeit;
		this.abfahrtsZeit = abfahrtsZeit;
	}

	/**
	 * Gibt die Zeit zurueck, wann diese gespeicherte Anfrage ANGEFORDERT worden ist
	 * 
	 * @return anfrageZeit
	 */
	public int getAnfrageZeit() {
		return this.anfrageZeit;
	}

	/**
	 * Gibt die Zeit zurueck, wann diese gespeicherte Anfrage ABGEFAHREN ist
	 * 
	 * @return abfahrtsZeit
	 */
	public int getAbfahrtsZeit() {
		return this.abfahrtsZeit;
	}

	public int hashCode() {
		int hash = 7;
		hash = 23 * hash + this.anfrageZeit;
		hash = 23 * hash + this.abfahrtsZeit;
		hash = 23 * hash + (this.von != null ? this.von.hashCode() : 0);
		hash = 23 * hash + (this.nach != null ? this.nach.hashCode() : 0);
		return hash;
	}

	/**
	 * Zwei Objekte RoutenBeschreibung sind gleich, wenn die Haltestelle, AnfrageZeiten, und
	 * AbfahrtsZeiten welche sie repraesentieren uebereinstimmen
	 */
	public boolean equals(Object obj) {
		if (obj instanceof RoutenBeschreibung) {
			boolean uebereinstimmung = this.anfrageZeit == ((RoutenBeschreibung) obj).anfrageZeit && this.abfahrtsZeit == ((RoutenBeschreibung) obj).abfahrtsZeit && this.von.getId() == ((RoutenBeschreibung) obj).von.getId() && this.nach.getId() == ((RoutenBeschreibung) obj).nach.getId();
			return uebereinstimmung;
		}
		return super.equals(obj);
	}
}
